Build #4 for binary-strict-0.2.1

[all reports]

Package binary-strict-0.2.1
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2015-11-15 17:38:27.237021 UTC
Compiler ghc-7.10.2
OS linux
Arch x86_64
Dependencies containers-0.5.6.2, bytestring-0.10.6.0, base-4.8.1.0, array-0.5.1.0
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring binary-strict-0.2.1...
Building binary-strict-0.2.1...
Preprocessing library binary-strict-0.2.1...

src/Data/Binary/Strict/Get.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

src/Data/Binary/Strict/IncrementalGet.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

src/Data/Binary/Strict/BitGet.hs:2:16: Warning:
    -fglasgow-exts is deprecated: Use individual extensions instead
[1 of 3] Compiling Data.Binary.Strict.BitGet ( src/Data/Binary/Strict/BitGet.hs, dist/build/Data/Binary/Strict/BitGet.o )

src/Data/Binary/Strict/BitGet.hs:76:10:
    No instance for (Applicative BitGet)
      arising from the superclasses of an instance declaration
    In the instance declaration for ‘Monad BitGet’
Failed to install binary-strict-0.2.1
cabal: Error: some packages failed to install:
binary-strict-0.2.1 failed during the building phase. The exception was:
ExitFailure 1